%define module r8192se
%define version 0019.1207.2010
%define card Realtek RTL8191SE/RTL8192SE WiFi cards
%define distname rtl8192se_linux_2.6.%{version}

Summary: dkms package for %{module} driver
Name: dkms-%{module}
Version: %{version}
Release: %mkrel 2
# note, unpack the tarball, remove firmware dir and repack with xz
# contents of firmware dir belongs in r8192se-firmware rpm in nonfree
Source0: %{distname}.tar.xz
# remove references to removed firmware
Patch0:	 rtl8192se-remove-firmware-build-references.patch
License: GPLv2
Group: System/Kernel and hardware
URL: http://www.realtek.com.tw
Requires(preun): dkms
Requires(post): dkms
Suggests: rtl8192se-firmware
BuildArch: noarch

%description
This package contains the %{module} driver for
%{card}.

%prep
%setup -q -n %{distname}
%patch0 -p1

# Remove not needed source files and dirs
rm -f runwpa wpa1.conf wpa_supplicant-*.tar.gz
rm -rf realtek

# Fix permissions
find -type f -exec chmod 0644 {} \;

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/src/%{module}-%{version}-%{release}/patches
cat > %{buildroot}/usr/src/%{module}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME=%{module}
PACKAGE_VERSION=%{version}-%{release}

DEST_MODULE_LOCATION[0]=/kernel/drivers/net/wireless
BUILT_MODULE_NAME[0]=%{module}_pci
BUILT_MODULE_LOCATION[0]=HAL/rtl8192

MAKE[0]="make KSRC=\$kernel_source_dir"
AUTOINSTALL="yes"
EOF

tar c . | tar x -C %{buildroot}/usr/src/%{module}-%{version}-%{release}/

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
/usr/src/%{module}-%{version}-%{release}/

%post -n dkms-%{module}
/usr/sbin/dkms --rpm_safe_upgrade add -m %{module} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade build -m %{module} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade install -m %{module} -v %{version}-%{release}
exit 0

%preun -n dkms-%{module}
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{module} -v %{version}-%{release} --all
exit 0



%changelog
* Tue Apr 26 2011 tmb <tmb> 0019.1207.2010-2.mga1
+ Revision: 91859
- only suggest rtl8192se-firmware as it is in nonfree

* Sun Apr 24 2011 tmb <tmb> 0019.1207.2010-1.mga1
+ Revision: 90092
- imported package dkms-r8192se


* Sun Apr 24 2011 Thomas Backlund <tmb@magiea.org> 0019.1207.2010-1.mga1
- update to 0019.1207.2010
- move firmware files from tarball to separate rtl8192se-firmware
  rpm in nonfree

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0015.0127.2010-2mdv2011.0
+ Revision: 610252
- rebuild

* Mon Mar 22 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0015.0127.2010-1mdv2010.1
+ Revision: 526383
- import dkms-r8192se

